=== debian/changelog ===
altos (1.8-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * two more places where telemini-outline.pdf filename needs to be updated
  * add telemini-v3.0 to list of binaries we stach in LLC repo for production use
  * telebt-v4.0: initial creation of firmware for new product, no BT yet
  * telebt-v4.0: add ao_send_packet
  * telebt-v4.0: don't need the USB pin remapping flag
  * telebt-v4.0: turn off pin remapping in the flash loader, too
  * telebt-v4.0: slow down SPI speed to radio chip
  * telegps-v2.0: slow down radio chip spi speed
  * telebt-v4.0: make git ignore products of build
  * ao-tools/ao-makebin: have git ignore built object
  * telemini-v3.0: make git ignore build products
  * altos/telebt-v4.0 Set CPU clock to 48Mhz instead of 96Mhz
  * telegps: use new eeprom reading code
  * have git ignore ao-bringup/cal_values
  * telefiretwo: don't try to record pre-burn sensor values in FLIGHT record
  * initial tests made using Terry's stand with a 2500psi sensor
  * have AltosGraph use new AltosPressure to get imperial_units working
  * re-brand current telefiretwo product as telefireone
  * altoslib: include TimeSeries code in build
  * add thrust as a graphable time series type
  * rename existing turnon_telebt script, create a new one for v4.0
  * clean up telefireone name references
  * ignore more build products in telebt-v4.0 tree
  * add TeleBT v4.0 to the list of stuff we build
  * remove libssl-dev build dependency, only used by test code we don't build
  * update docinfo file for 1.8 release
  * releasing 1.8

  [ Keith Packard ]
  * altos/stmf0: Not all timer configurations use AF2
  * altos/telemini-v3.0: Fix license
  * altos/easymini-v2.0: Add EasyMini v2.0
  * altos: Add telemini-v3.0 and easymini-v2.0 to default altos build
  * altosui: Ship telemini v3.0 firmware
  * altos/ao-bringup: Switch turnon_easymini to v2.0
  * altosui: Add TeleMini v3.0 and EasyMini v2.0 firmware to windows package
  * Update releasing to add more firmware bits
  * Ignore ao_lisp_test
  * altos/telegps-v2.0: git ignore make results
  * altos/nucleo-32: Add lisp save/restore
  * ao-bringup: make turnon_telemini search for ao_usbload on $PATH
  * Fake thrust data as accel for now
  * micropeak: Add MicroPeak V2 to the download code
  * altos/ms5607: Allow applications to not use the normal data ring and thread
  * altos: Adapt micro log to MicroPeak V3
  * altos: Add 100ms constants for baro Kalman filter
  * altos: Add header file for ao_report_micro.c
  * altos/micropeak: Use existing ao_ms5607_current variable
  * altos/micropeak: Update ao_micropeak.h for MicroPeak v2
  * altos/stmf0: Compute serial baud rate registers at runtime
  * altos/stmf0: Make sure systick is off before programming
  * altos/stmf0: Fix HSI clock rate.
  * altos/stmf0: Add support for HSI clocked applications
  * altos/micropeak-v2.0: Add initial MicroPeak v2 support
  * altos: Build MicroPeak-v2.0 by default
  * src/kernel: Add GPS lock blink LED to tracker code
  * altos/kernel: Allow TeleGPS v2 to scale battery in telem
  * altos/telegps-v2.0: Adjust LED config
  * altos/telegps-v2.0: Set CPU clock to 48MHz instread of 96MHz
  * altos/telegps-v2.0: Battery ADC input is on PB1, not PA0
  * altos/telegps-v2.0: Remove some unneeded defines
  * altos/telegps-v2.0: GPS chip is connected to serial 2, not serial 1
  * altos/telegps-v2.0: CC1200 CS is PA1, not PA5.
  * altos/telegps-v2.0: Reorder initialization sequence
  * altos/stmf0: Add code to use SoC flash as storage
  * altos/telegps-v2.0: Disable external serial port to save ROM
  * altos: Make CDC ACM 'line coding' public
  * altos: Move 'ao_force_freq' to ao_config.c
  * altos/telemini-v3.0: Add 'recovery mode' on PA14 (pin 6 on dbg header)
  * altos/telemini-v3.0: Use dbg connector pin 5 for force bootloader
  * altoslib: Hide members from json by prefixing with __
  * altoslib: Add AltosForce and AltosPressure units
  * altoslib: Add Ms5607 constructor that just takes config_data
  * altoslib: Add empty constructor for AltosPyro for JSON
  * altoslib: Add set_config_data to AltosState
  * altoslib: Add new eeprom management code
  * altoslib: Compile AltosForce and AltosPressure
  * altoslib: Hack up AltosEepromFile to support new eeprom code
  * altosui: Use new eeprom reading code
  * altoslib: Save eeprom data in new .eeprom format
  * altoslib: Remove older eeprom handling code
  * altoslib: Another bit of altoslib for the old eeprom stuff
  * Use SDP to locate the service channel on Linux
  * altos: Add RN4678 Bluetooth module driver
  * altos/telebt-v4.0: Hook up RN4678 module
  * altoslib: Handle TeleBT v4.0 battery voltage
  * libaltos: Add support for TeleBT-v4.0 bluetooth channel change
  * altos/stmf: Fix up serial port flow control configuration bits
  * altos/ao_rn4678: Send '$$$' for new devices. Fix name setting code.
  * altoslib: Mark AltosConfigData fields as MISSING until set
  * altoslib: Set default log format to FULL until we learn different
  * altoslib: Set default accel cal for old TeleMetrum v1 files
  * altos/telefireone-v1.0: Fix confusing defines about config storage
  * ao-bringup: turnon_chaoskey: search for ao-usbload in PATH
  * altos/telebt-v4.0: Remove HAS_POLLCHAR
  * altos/telebt-v3.0: Add send_packet command
  * altoslib: Add initial time series functions
  * altosuilib: Add time series subclass with data for generating a plot
  * altoslib: Create new abstraction underneath AltosState for recording values
  * altosuilib: Start creating new graph interface that takes time series data
  * altosui: Hacks to plug into the new graph stuff
  * doc: Add telegps outline
  * altoslib: Don't store computed telemetry fields
  * altoslib: Do data analysis on raw values rather than AltosState
  * altosuilib: Adapt to AltosFlightSeries data processing plan
  * altosui: Adapt to AltosFlightSeries for data analysis
  * altoslib/altosuilib/altosui: More work towards using AltosFlightSeries for analysis

